Subject: RE: Updates to Neighbor Discovery and Stateless Autoconfiguration

From: Soliman Hesham <[email-masked]>
Date: Fri, 26 Sep 2003 01:35:56 -0400

Also you might want to consider the discussions on:

- Address resolution on p2p links
- Clarifying the meaning of the M and O bits
- Other MIP related discussions

Hesham

 > -----Original Message-----
 > From: Pekka Savola [mailto:[email-masked]]
 > Sent: Friday, September 26, 2003 1:25 AM
 > To: Brian Haberman
 > Cc: [email-masked]
 > Subject: Re: Updates to Neighbor Discovery and Stateless
 > Autoconfiguration
 > 
 > 
 > On Tue, 23 Sep 2003, Brian Haberman wrote:
 > >      One of our charter items is to produce updates of
 > > RFC 2461 and 2462 in order to progress them to Draft Standard.
 > > As a part of that effort, I would like to bring to the Work
 > > Group's attention, some work that has been done in SEND.
 > > 
 > > http://www.ietf.org/internet-drafts/draft-ietf-send-psreq-03.txt
 > > outlines several security issues that exist in NDP and in
 > > Stateless Autonconfiguration.  So as a part of the effort to
 > > revise 2461 and 2462, I am soliciting the WG's thoughts on how
 > > to incorporate the work done in the SEND document into the
 > > base specifications.  My primary goal is to come to a balance
 > > of existing functionality vs. enhanced security capability.
 > 
 > The SEND work is not the only thing which has proposed (or 
 > uncovered a 
 > potential need for) modifications ini RFC2461/2462.  Some 
 > requests have 
 > surfaced already in the Mobile IP space as well.
 > 
 > I'd encourage you to go through the archives.  There has been a
 > significant amount of discussion on many ambiguous pieces of the spec
 > (e.g. dead code in RFC2462 section 5.5.3 e, ambiguities 
 > about decrementing
 > the Lifetime counters, etc.).  I'd hope that someone (e.g.  
 > one of the
 > original authors) would have archived the relevant threads for later
 > perusal.
 > 
 > In addition, draft-roy-v6ops-v6onbydefault-01.txt (will be 
 > updated soon to 
 > v6ops WG document) has identified a set of serious problems with the 
 > "on-link by default" rule.  Expect a companion document 
 > describing the 
 > tradeoffs of changing RFC2461/2 in this regard shortly.
 > 
 > Hope this helps to get into the swing..
 > 
 > -- 
 > Pekka Savola                 "You each name yourselves king, yet the
 > Netcore Oy                    kingdom bleeds."
 > Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings
 > 
 > 
 > 
 > --------------------------------------------------------------------
 > IETF IPv6 working group mailing list
 > [email-masked]
 > Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
 > --------------------------------------------------------------------
 > 

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Brian Haberman <[email-masked]>
Date: Fri, 26 Sep 2003 07:17:57 -0400

Yes.  Thanks for the data points, Hesham.

Regards,
Brian

---

From: Fred Templin <[email-masked]>
Date: Fri, 26 Sep 2003 09:47:41 -0700

Also clarify the processing of prefix options in
Router Advertisements with the L bit not set.

Fred
[email-masked]